/// TKX_File.cpp
///
/// (c) 2001-2006 Bastian Spiegel <bs@tkscript.de>
///     - distributed under the terms of the GNU general public license (GPL).
///
///
#include "tks.h"
#include "TKX_File.h"


TKX_File::TKX_File(void) {
    next                 = NULL;
    file_offset          = 0;
    file_size            = 0;
    file_data            = NULL;
    type                 = 0;
    tokenized_source.any = NULL;
}

TKX_File::~TKX_File() { 
   freeTokenizedSource();
} 

void TKX_File::freeTokenizedSource(void) {
   if(tokenized_source.any != NULL)
   {
      delete [] tokenized_source.u1;
      tokenized_source.any = NULL;
   }
}

